Change log for pysvn package in Ubuntu

154 of 54 results
Published in eoan-release 15 hours ago
Published in disco-release on 2018-11-03
Deleted in disco-proposed (Reason: moved to release)
pysvn (1.9.6-1build2) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <email address hidden>  Sat, 03 Nov 2018 12:08:33 +0000

Available diffs

Superseded in disco-release on 2018-11-03
Published in cosmic-release on 2018-07-05
Deleted in cosmic-proposed (Reason: moved to release)
pysvn (1.9.6-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <email address hidden>  Thu, 28 Jun 2018 06:54:30 +0000
Superseded in cosmic-release on 2018-07-05
Deleted in cosmic-proposed on 2018-07-06 (Reason: moved to release)
pysvn (1.9.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field

  [ Josue Ortega ]
  * New upstream version (1.9.6).
  * Bumps Standards-Version to 4.1.4, no changes required.
  * debian/control: Bumps X-Python3-Version to use 3.6.

 -- Josue Ortega <email address hidden>  Sun, 24 Jun 2018 17:37:09 -0600

Available diffs

Superseded in cosmic-release on 2018-06-25
Published in bionic-release on 2018-01-29
Deleted in bionic-proposed (Reason: moved to release)
pysvn (1.9.5-1) unstable; urgency=medium

  * New upstream release (1.9.5):
    - Update debian/patches.
  * Bumps debhelper version from 9 to 11.
  * Bumps Standards-Version from 3.9.8 to 4.1.3:
    - debian/copyright: Changes URI to its secure version.
  * Updates debian/copyright.

 -- Josue Ortega <email address hidden>  Sun, 28 Jan 2018 18:20:31 -0600
Superseded in bionic-release on 2018-01-29
Superseded in bionic-release on 2017-12-04
Published in artful-release on 2017-08-04
Deleted in artful-proposed (Reason: moved to release)
pysvn (1.9.4-3build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <email address hidden>  Fri, 04 Aug 2017 18:51:28 +1200
Superseded in artful-release on 2017-08-04
Deleted in artful-proposed on 2017-08-05 (Reason: moved to release)
pysvn (1.9.4-3) unstable; urgency=medium

  * Team upload.
  * Update to build python3-svn for all supported python3 versions
    (Closes: #862423)

 -- Scott Kitterman <email address hidden>  Sat, 01 Jul 2017 13:14:54 -0400
Superseded in artful-release on 2017-07-04
Deleted in artful-proposed on 2017-07-05 (Reason: moved to release)
pysvn (1.9.4-2ubuntu1) artful; urgency=medium

  * Only build with default Python 3 as building with multiple versions fails.

 -- Michael Hudson-Doyle <email address hidden>  Tue, 16 May 2017 12:46:01 +1200
Superseded in artful-release on 2017-05-16
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
pysvn (1.9.4-2) unstable; urgency=medium

  * Adds patch 0001-fix-multiple-arch-support.patch to support
    architectures besides amd64.
  * debian/rules: Comments verbosity flag.

 -- Josue Ortega <email address hidden>  Sun, 09 Oct 2016 22:12:10 -0600

Available diffs

Superseded in zesty-release on 2016-11-03
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
pysvn (1.8.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Josue Ortega ]
  * debian/control:
     - python-svn-dbg removed, since it was generated with no
       debug symbols.
     - Adds Python 3 package.
     - Updates uploader's mail.
     - Standards-Version updated to 3.9.8, no changes required.
     - Changes python-cxx-dev build depend relationship to be strictly less
       than 6.2.7.
  * debian/rules: Adds Python3 package scripts.
  * debian/copyright: Updates year and email for debian/* copyright
    holder.

 -- Josue Ortega <email address hidden>  Tue, 05 Jul 2016 16:01:01 +0200

Available diffs

Superseded in yakkety-release on 2016-07-06
Published in xenial-release on 2015-12-22
Deleted in xenial-proposed (Reason: moved to release)
pysvn (1.8.0-1) unstable; urgency=medium

  * New upstream release (Closes: #802121):
     - debian/patches/* updated to be compatible with the new upstream release.
  * debian/control:
     - Dependencies version updated.
     - set Standards-Version: 3.9.6 no changes required.
  * debian/copyright:
     - Updated BSD license tag name to BSD-4-clause.
     - Paragraphs have been reordered.

 -- Josue Ortega <email address hidden>  Sun, 20 Dec 2015 17:55:29 -0600

Available diffs

Superseded in xenial-release on 2015-12-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-22 (Reason: moved to release)
pysvn (1.7.8-1) unstable; urgency=low


  * New Maintainer (Closes: #741094)
  * Buildsystem changed to pybuild
  * debian/source/options adds extend-diff-ignore to ignore changes
    made during compilation to upstream code.
  * debian/rules override_dh_installdocs added (Closes: #736300).
  * debian/copyright fixed issues with dep-5.
  * debian/control:
     - added new description to the dbg package.
     - set Standards-Version: 3.9.5 no changes required.

 -- Josue Ortega <email address hidden>  Mon, 14 Apr 2014 12:18:08 -0600

Available diffs

Superseded in utopic-release on 2014-04-29
Published in trusty-release on 2014-03-05
Deleted in trusty-proposed (Reason: moved to release)
pysvn (1.7.8-0.2) unstable; urgency=medium


  * Non-maintainer upload.
  * debian/rules
    - specify "--apr-lib-dir" to fix "FTBFS: 'Error:', 'cannot find APR
      library libapr-0.so'" (Closes: #738371)

 -- Hideki Yamane <email address hidden>  Tue, 11 Feb 2014 21:08:35 +0900
Superseded in trusty-release on 2014-03-05
Deleted in trusty-proposed on 2014-03-06 (Reason: moved to release)
pysvn (1.7.8-0.1ubuntu1) trusty; urgency=medium

  * Fix the build with the APR library in the multiarch libdir.
 -- Matthias Klose <email address hidden>   Mon, 30 Dec 2013 12:53:24 +0100
Superseded in trusty-release on 2013-12-30
Deleted in trusty-proposed on 2013-12-31 (Reason: moved to release)
pysvn (1.7.8-0.1) unstable; urgency=low


  * Non-maintainer upload.
  * New upstream release
  * debian/rules (and more...)
    - make it dh-nize 
  * debian/compat
    - set 9
  * debian/control
    - set Standards-Version: 3.9.4

 -- Hideki Yamane <email address hidden>  Sat, 05 Oct 2013 22:53:34 +0900
Superseded in trusty-release on 2013-10-25
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
pysvn (1.7.6-0.3ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1104078).  Remaining changes:
    - debian/patches/02-fix-ld-shared.patch:
      + Fix linking with -lsvn* (LP: #1045021)
  * debian/patches/python-multiarch-include.patch: fix include paths for new
    multiarch include locations.
 -- Robie Basak <email address hidden>   Thu, 24 Jan 2013 13:58:38 +0000
Superseded in raring-release on 2013-01-28
Obsolete in quantal-release on 2015-04-24
pysvn (1.7.6-0.1ubuntu1) quantal; urgency=low

  * debian/patches/02-fix-ld-shared.patch:
    - Fix linking with -lsvn* (LP: #1045021)
 -- Jason Conti <email address hidden>   Sun, 02 Sep 2012 14:38:34 -0400
Superseded in quantal-release on 2012-09-12
pysvn (1.7.6-0.1) experimental; urgency=low


  * Non-maintainer upload
  * Upload to experimental, we're now freeze time and it may break other 
    package, so checking reverse dependency packages is needed to put it
    to unstable.
  * New upstream release
    - works with subversion1.7 (Closes: #678559)
  * debian/control
    - add "Build-Depends: libaprutil1-dev" to provide apu.h file.
  * debian/rules
    - specify "--apu-inc-dir" option to find apu.h.
    - enable --norpath option to avoid "binary-or-shlib-defines-rpath" lintain
      error
  * debian/patches
    - refresh it, meet to new upstream release

 -- Hideki Yamane <email address hidden>  Thu, 19 Jul 2012 04:23:27 +0900

Available diffs

Superseded in quantal-release on 2012-07-20
Published in precise-release on 2011-12-05
pysvn (1.7.5-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Drop the not needed build dependency on libsvncpp-dev.
 -- Matthias Klose <email address hidden>   Mon, 05 Dec 2011 13:29:25 +0100

Available diffs

Superseded in precise-release on 2011-12-05
pysvn (1.7.5-1) unstable; urgency=low

  [ Henry Velez ]
  * New maintainer. Closes: #611062
  * New upstream release

  [ Matthias Klose ]
  * Build using subversion multiarch location.
  * Use dpkg-buildflags.
 -- Matthias Klose <email address hidden>   Mon,  05 Dec 2011 11:28:12 +0000

Available diffs

Superseded in precise-release on 2011-12-05
Obsolete in oneiric-release on 2015-04-24
pysvn (1.7.2-4ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:

Available diffs

Superseded in oneiric-release on 2011-05-21
Obsolete in natty-release on 2013-06-04
pysvn (1.7.2-3ubuntu2) natty; urgency=low

  * Rebuild to add support for python 2.7.
 -- Matthias Klose <email address hidden>   Fri, 03 Dec 2010 00:09:24 +0000

Available diffs

Superseded in natty-release on 2010-12-03
Obsolete in maverick-release on 2013-03-05
pysvn (1.7.2-3ubuntu1) maverick; urgency=low

  * Merge with Debian unstable (lp: #614410). Remaining changes:
    + debian/control:
      - Build-Depend on libsvn-dev (main) instead of libsvncpp-dev (universe).

Available diffs

Superseded in maverick-release on 2010-08-09
Obsolete in lucid-release on 2016-10-26
pysvn (1.7.2-2ubuntu1) lucid; urgency=low

  * Merge with Debian unstable (lp:#523863). Remaining changes:
    + debian/control:
      - Build-Depend on libsvn-dev (main) instead of libsvncpp-dev (universe).

Available diffs

Superseded in lucid-release on 2010-02-25
pysvn (1.7.2-1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    + debian/control:
      - Depend on libsvn-dev.
      - Update maintainer according to spec.

Available diffs

Superseded in lucid-release on 2010-02-01
pysvn (1.7.0-1.1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - debian/control: Depend on libsvn-dev
    - Dropped, meged upstream:
      + update debian/rules to install files into /usr/lib/python2.6/dist-packages, fixes FTBFS. (LP: #426677)
      + Removed DH_PYCENTRAL=nomove from debian/rules.
      + Added python-central to debian/control Build-Depends.

Superseded in lucid-release on 2010-01-18
Superseded in lucid-release on 2010-01-05
pysvn (1.7.0-1ubuntu6) lucid; urgency=low

  *  Fix FTBS.
 -- Chuck Short <email address hidden>   Wed, 02 Dec 2009 11:39:35 -0500

Available diffs

Superseded in lucid-release on 2009-12-02
pysvn (1.7.0-1ubuntu5) lucid; urgency=low

  * debian/crontrol: Depend on libsvn-dev.
 -- Chuck Short <email address hidden>   Wed, 02 Dec 2009 11:04:25 -0500

Available diffs

Superseded in lucid-release on 2009-12-02
Obsolete in karmic-release on 2013-03-04
pysvn (1.7.0-1ubuntu4) karmic; urgency=low

  * Put back the required __init__*.py renaming at a place in the build which
    doesn't confuse pycentral. (LP: #429161)

 -- Max Bowsher <email address hidden>   Mon, 14 Sep 2009 04:20:45 +0100

Available diffs

Superseded in karmic-release on 2009-09-14
pysvn (1.7.0-1ubuntu3) karmic; urgency=low

  * Remove extraneous  __init__*.py renaming in debian/rules (LP: #428199)

 -- Scott Kitterman <email address hidden>   Fri, 11 Sep 2009 23:49:46 -0400

Available diffs

Superseded in karmic-release on 2009-09-12
pysvn (1.7.0-1ubuntu2) karmic; urgency=low

  * updated debin/rules to install files into
    /usr/lib/python2.6/dist-packages, fixes FTBFS. (LP: #426677)
  * Removed DH_PYCENTRAL=nomove from debian/rules.
  * Added python-central to debian/control Build-Depends.

 -- Charlie Smotherman <email address hidden>   Wed, 09 Sep 2009 16:22:22 -0500

Available diffs

Superseded in karmic-release on 2009-09-11
pysvn (1.7.0-1ubuntu1) karmic; urgency=low

  * Tighten build-dependency on libsvncpp-dev.

 -- Matthias Klose <email address hidden>   Sat, 29 Aug 2009 13:00:57 +0200

Available diffs

Superseded in karmic-release on 2009-08-29
Obsolete in jaunty-release on 2013-02-28
pysvn (1.6.3-0ubuntu1) jaunty; urgency=low

  * New upstream version.

 -- Matthias Klose <email address hidden>   Mon, 23 Feb 2009 20:08:08 +0100

Available diffs

Superseded in jaunty-release on 2009-02-23
pysvn (1.6.2-1) unstable; urgency=low

  * New upstream version.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  05 Dec 2008 18:47:06 +0000

Available diffs

Superseded in jaunty-release on 2008-12-05
pysvn (1.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Store __init__.py for each python version and don't mix them 
    (Closes: #501646).
  * Avoid setting rpath to /usr/lib64 in compiled modules.

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
pysvn (1.6.0-1) unstable; urgency=low

  * New upstream version (supporting subversion-1.5).

 -- Matthias Klose <email address hidden>   Wed,  30 Jul 2008 21:15:33 +0100

Available diffs

Superseded in intrepid-release on 2008-07-30
pysvn (1.5.3-3) unstable; urgency=low

  * Explicitely build-depend on libneon27-gnutls-dev. Closes: #489080.

 -- Adrien Cunin <email address hidden>   Fri,  18 Jul 2008 12:32:41 +0100

Available diffs

Superseded in intrepid-release on 2008-07-18
pysvn (1.5.3-2) unstable; urgency=low

  * Add doc-base file.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  25 Jun 2008 17:21:51 +0100

Available diffs

Superseded in intrepid-release on 2008-06-25
pysvn (1.5.3-1) unstable; urgency=low

  * New upstream version.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:23:37 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
pysvn (1.5.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <email address hidden>   Fri,  01 Feb 2008 15:39:16 +0000
Superseded in hardy-release on 2008-02-02
Obsolete in gutsy-release on 2011-09-16
pysvn (1.5.1-2) unstable; urgency=low

  * Fix maintainer address.

Superseded in gutsy-release on 2007-06-14
Obsolete in feisty-release on 2009-08-20
pysvn (1.5.1-0ubuntu2) feisty; urgency=low

  * Install extension as _pysvn_$(MAJOR)_$(MINOR).so (LP: #88824).
  * Don't install /usr/lib/python*/site-packages/pysvn/__init__.py in
    python-svn-dbg, as otherwise it conflicts with python-svn.

 -- Colin Watson <email address hidden>   Mon, 12 Mar 2007 14:58:28 +0000
Superseded in feisty-release on 2007-03-12
pysvn (1.5.1-0ubuntu1) feisty; urgency=low

  * New upstream version; bug fix release.

 -- Matthias Klose <email address hidden>   Sun, 18 Feb 2007 14:30:49 +0100
Superseded in feisty-release on 2007-02-28
pysvn (1.5.0dfsg-1ubuntu1) feisty; urgency=low

  * Build a python-svn-dbg package.
  * Bump debhelper compatibility to v5.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <email address hidden>   Sun, 18 Feb 2007 13:42:32 +0100
Superseded in feisty-release on 2007-02-18
pysvn (1.5.0dfsg-1) unstable; urgency=low

  * New upstream version, supporting subversion-1.4.

Superseded in feisty-release on 2006-12-20
Obsolete in edgy-release on 2008-06-19
pysvn (1.4.2+dfsg-0.1ubuntu2) edgy; urgency=low

  * Build-depend on recent python-cxx-dev, build the python2.5 module.

 -- Matthias Klose <email address hidden>   Tue, 17 Oct 2006 14:20:09 +0000
Superseded in edgy-release on 2006-10-20
pysvn (1.4.2+dfsg-0.1ubuntu1) edgy; urgency=low

  * Do not build support for python2.5.

 -- Matthias Klose <email address hidden>   Fri, 13 Oct 2006 12:32:16 +0000
Superseded in edgy-release on 2006-10-13
pysvn (1.4.2+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack upstream tarball, removing Kit/Win32/vc6redist/ which is not
    DFSG-free. (Closes: #383525)
  * Set LC_ALL=C in debian/rules; fixes FTBFS in some locales.
    (Closes: #383524, #383532)

 -- Daniel T Chen <email address hidden>   Wed,  13 Sep 2006 05:14:16 +0100
Superseded in edgy-release on 2006-09-13
pysvn (1.4.2-2build1) edgy; urgency=low

  * Rebuild to add support for python2.5.

 -- Matthias Klose <email address hidden>   Fri,  8 Sep 2006 18:26:53 +0000
Superseded in edgy-release on 2006-09-08
pysvn (1.4.2-2) unstable; urgency=medium

  * Fixed in 1.4.x:
    - Fixed documentation of pysvn.Client.propget. Closes: #339525.
    - Client.revpropget doesn't segfault when property doesn't exist.
      Closes: #294263.
  * Update watch file.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  11 Jul 2006 15:29:05 +0100
Superseded in edgy-release on 2006-07-11
pysvn (1.4.2-1) unstable; urgency=low

  * New upstream version.
  * Convert to new Python policy. Closes: #373507.

Superseded in edgy-release on 2006-07-04
Obsolete in dapper-release on 2011-09-06
pysvn (1.4.1-0ubuntu1) dapper; urgency=low

  * New upstream version.
  * Supports subversion 1.3 (closes: #354962).

 -- Matthias Klose <email address hidden>   Tue,  7 Mar 2006 14:08:44 +0000
Superseded in dapper-release on 2006-03-07
Superseded in dapper-release on 2006-02-03
pysvn (1.3.1-1) unstable; urgency=low


  * New upstream version.

 -- Matthias Klose <email address hidden>  Sat, 15 Oct 2005 14:50:18 +0200
Obsolete in breezy-release on 2008-03-25
pysvn (1.3.0-1) unstable; urgency=low


  * Package from release tarball.

 -- Matthias Klose <email address hidden>  Thu,  8 Sep 2005 05:13:33 +0000
Obsolete in hoary-release on 2008-03-19
pysvn (1.1.2-1ubuntu3) hoary; urgency=low


  * Fix a race condition with a buffered temp file (Robert Collins).

 -- Matthias Klose <email address hidden>  Mon,  4 Apr 2005 10:32:58 +0000
154 of 54 results